commit:     a7c565e7d167ab8e9b426d9852429dc415fdb000
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Oct  4 20:23:22 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Oct 13 12:06:09 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7c565e7

dev-python/tikzplotlib: version bump 0.9.4

also bumped the python targets

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/tikzplotlib/Manifest                 |  1 +
 dev-python/tikzplotlib/metadata.xml             |  8 ++-
 dev-python/tikzplotlib/tikzplotlib-0.9.4.ebuild | 66 +++++++++++++++++++++++++
 3 files changed, 73 insertions(+), 2 deletions(-)

diff --git a/dev-python/tikzplotlib/Manifest b/dev-python/tikzplotlib/Manifest
index 9d2e25fabe2..95c27dc5d26 100644
--- a/dev-python/tikzplotlib/Manifest
+++ b/dev-python/tikzplotlib/Manifest
@@ -1 +1,2 @@
 DIST tikzplotlib-0.9.1.tar.gz 584961 BLAKE2B 
62737db9117c96484de690b26c3f13d5a872a3c70ad4ebe635bcba348dfa7f0eb944b8c469807c4c474351a9fae7db6dd71df82e33ee33cbdd8b1abeb9686e1b
 SHA512 
10f3be8b843ea81d48bd6fad494a7e7a0cc5afd45a96c26be7f4dfbac929bdb3010fd355c6e1ef262273fd0783fc5b5b4a7b41a0c01e18cff5446bb9d96ee2b7
+DIST tikzplotlib-0.9.4.tar.gz 588518 BLAKE2B 
3f6ec8b9149ef86e8a0dd551d4aeca4f676df3ca86de8bb9bfbf2abed81afab50adef99752970a40f174258f4d14c245366c5159f241d2cd10f7cebdfd6bbbfb
 SHA512 
0d654dbecc473f5bc20dc128ad55852c3787ddd50cf730ed57b25a25e6a55e79bfd451eb28188d75ac6b61a53a6a6e244bef2ca366dcb636e0d325c74b32d1cd

diff --git a/dev-python/tikzplotlib/metadata.xml 
b/dev-python/tikzplotlib/metadata.xml
index 50a33145b07..34881f6ec28 100644
--- a/dev-python/tikzplotlib/metadata.xml
+++ b/dev-python/tikzplotlib/metadata.xml
@@ -1,9 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Andrew Ammerlaan</name>
+       </maintainer>
        <maintainer type="project">
-               <email>[email protected]</email>
-               <name>Gentoo Science Project</name>
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
        </maintainer>
        <longdescription>tikzplotlib is a Python tool for converting matplotlib 
figures into PGFPlots (TikZ) figures like for native inclusion into LaTeX 
documents. The output of tikzplotlib is in PGFPlots, a LaTeX library that sits 
on top of TikZ and describes graphs in terms of axes, data etc. Consequently, 
the output of tikzplotlib retains more information, can be more easily 
understood, and is more easily editable than raw TikZ output.</longdescription>
        <upstream>

diff --git a/dev-python/tikzplotlib/tikzplotlib-0.9.4.ebuild 
b/dev-python/tikzplotlib/tikzplotlib-0.9.4.ebuild
new file mode 100644
index 00000000000..95096bfb665
--- /dev/null
+++ b/dev-python/tikzplotlib/tikzplotlib-0.9.4.ebuild
@@ -0,0 +1,66 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1 virtualx
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/nschloe/${PN}.git 
git://github.com/nschloe/${PN}.git"
+else
+       SRC_URI="https://github.com/nschloe/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Convert matplotlib figures into TikZ/PGFPlots"
+HOMEPAGE="https://github.com/nschloe/tikzplotlib";
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+       app-text/texlive
+       $( python_gen_cond_dep \
+               'dev-python/importlib_metadata[${PYTHON_USEDEP}]' python3_7 )
+       dev-python/matplotlib[${PYTHON_USEDEP}]
+       dev-python/numpy[${PYTHON_USEDEP}]
+       dev-python/pillow[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       dev-python/wheel[${PYTHON_USEDEP}]
+       test? (
+               dev-python/exdown[${PYTHON_USEDEP}]
+               dev-python/pandas[${PYTHON_USEDEP}]
+               dev-python/scipy[${PYTHON_USEDEP}]
+)"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc dev-python/mock
+
+python_prepare_all() {
+       # setup.py was removed in commit 
f04323cfa575caf8a25a9236f55fe6baf1a33b20
+       # for some reason, DISTUTULS_USE_SETUPTOOLS="pyproject.toml" is not 
working
+       # it complains about file not found, setup.cfg does exist
+
+       cat > setup.py <<EOF || die
+from setuptools import setup
+
+if __name__ == "__main__":
+       setup()
+EOF
+
+       # Lots of TeX errors
+       rm test/test_patches.py || die
+       rm test/test_context.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local -x MPLBACKEND=Agg
+       virtx pytest -vv
+}

Reply via email to